Close

All our themes and plugins are now compatible with nopCommerce 3.90.

Thursday, March 30, 2017

We would like to let our customers and followers know that our nopCommerce plugins and themes are available for nopCommerce 3.90!

To download your 3.90 product package please go to My Downloads.
For detailed upgrade instructions please follow the steps described in our documentation.

We have prepared our usual digest of the most notable features in the latest 3.90 release. To learn what's new in nopCommerce 3.90 don't miss our blog post. For the full list of new features and improvements, please refer to the official 3.90 release note. 

Nop-Templates.com Team

Leave your comment